# -*- encoding: utf-8 -*-
# stub: rggen 0.33.3 ruby lib

Gem::Specification.new do |s|
  s.name = "rggen".freeze
  s.version = "0.33.3".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/rggen/rggen/issues", "mailing_list_uri" => "https://groups.google.com/d/forum/rggen", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/rggen/rggen", "wiki_uri" => "https://github.com/rggen/rggen/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Taichi Ishitani".freeze]
  s.date = "2024-07-20"
  s.description = "RgGen is a code generation tool for ASIC/IP/FPGA/RTL engineers.\nIt will automatically generate source code related to control and status registers (CSR),\ne.g. SytemVerilog RTL, UVM RAL model, C header file, Wiki documents, from human readable register map specifications.\n".freeze
  s.email = ["rggen@googlegroups.com".freeze]
  s.homepage = "https://github.com/rggen/rggen".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.0".freeze)
  s.rubygems_version = "3.5.11".freeze
  s.summary = "Code generation tool for control and status registers".freeze

  s.installed_by_version = "3.5.11".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<rggen-c-header>.freeze, ["~> 0.5.0".freeze])
  s.add_runtime_dependency(%q<rggen-core>.freeze, ["~> 0.33.1".freeze])
  s.add_runtime_dependency(%q<rggen-default-register-map>.freeze, ["~> 0.33.1".freeze])
  s.add_runtime_dependency(%q<rggen-markdown>.freeze, ["~> 0.26.0".freeze])
  s.add_runtime_dependency(%q<rggen-spreadsheet-loader>.freeze, ["~> 0.25.3".freeze])
  s.add_runtime_dependency(%q<rggen-systemverilog>.freeze, ["~> 0.33.0".freeze])
end
